Subject: Re: [PATCH 2/3] config.txt: perform some minor reformatting

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Mar 2024 18:58:58 -0700

Dragan Simic <[email-masked]> writes:

> Reformat a few lines a bit, to utilize the available horizontal space better.
> There are no changes to the actual contents of the documentation.

I was a bit surprised to see such a "preliminary clean-up" step to
come before the main change, not after, but separating this from the
change to the next paragraph, which is the main change in this series,
is nevertheless a very good idea.

>
> Signed-off-by: Dragan Simic <[email-masked]>
> ---
>  Documentation/config.txt | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)
>
> diff --git a/Documentation/config.txt b/Documentation/config.txt
> index 4480bb44203b..2fc4a52d8d76 100644
> --- a/Documentation/config.txt
> +++ b/Documentation/config.txt
> @@ -58,11 +58,11 @@ compared case sensitively. These subsection names follow the same
>  restrictions as section names.
>  
>  All the other lines (and the remainder of the line after the section
> -header) are recognized as setting variables, in the form
> -'name = value' (or just 'name', which is a short-hand to say that
> -the variable is the boolean "true").
> -The variable names are case-insensitive, allow only alphanumeric characters
> -and `-`, and must start with an alphabetic character.
> +header) are recognized as setting variables, in the form 'name = value'
> +(or just 'name', which is a short-hand to say that the variable is the
> +boolean "true").  The variable names are case-insensitive, allow only
> +alphanumeric characters and `-`, and must start with an alphabetic
> +character.
>  
>  A line that defines a value can be continued to the next line by
>  ending it with a `\`; the backslash and the end-of-line are stripped.